import javax.swing.*;
import java.awt.*;
public class JTextArea_Test extends JFrame {
    JTextArea jTextArea1 = new JTextArea("我是学生", 6, 30);
    JTextArea jTextArea2 = new JTextArea(6, 16);
    public JTextArea_Test() {
        setLayout(null);
        jTextArea1.setBounds(25, 30, 120, 40);    
        jTextArea2.setBounds(25, 80, 120, 60);
        setTitle("文本区");
        add(jTextArea1);
        add(jTextArea2);
        jTextArea2.append("我在学习java语言");
        jTextArea1.insert("们", 1);
        jTextArea1.selectAll();
     }
     public static void main(String args[]) {
        JTextArea_Test tx = new JTextArea_Test();
        tx.setBounds(200, 200, 200, 200);
        tx.validate();
        tx.setVisible(true);
     }
}

